# $Revision: 1.8 $, $Date: 2002/11/21 13:56:24 $
Summary:	SMS Server Tools
Summary(pl):	Narzdzia serwera SMS
Name:		smstools
Version:	1.7.7
Release:	1
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://www.isis.de/~s.frings/smstools/packages/%{name}-%{version}.tar.gz
Source1:	%{name}.sysconfig
Source2:	%{name}.init
Patch0:		%{name}-daemonize.patch
URL:		http://www.isis.de/~s.frings/smstools_index.html
BuildRequires:	mm-devel
Prereq:		rc-scripts
Requires(post,preun):/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SMS Server Tools were made to send and receive SMS from one or
many GSM modems. They include a send/receive daemon and some sample
scripts to build an SMS email gateway and for logging into an SQL
database.

%description -l pl
SMS Server Tools jest pakietem stworzonym do wysyania i odbierania
SMSw z jednego lub kilku modemw GSM. Zawiera demona do wysyania i
odbierania przesyek oraz zestaw skryptw dziki ktrym mona stworzy
np. bramk email->SMS.

%prep
%setup -q -n smstools
%patch0 -p1

%build
%{__make} CC='%{__cc}' OPTIONS='%{rpmcflags}'

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_sbindir},%{_libdir}/%{name},/var/spool/sms/{incoming,outgoing,failed,sent,OTHER}}

install examples/smsd.conf $RPM_BUILD_ROOT%{_sysconfdir}
install bin/{smsd,getsms,putsms} $RPM_BUILD_ROOT%{_sbindir}
install bin/{email2sms,mysmsd,sendsms,smsevent} $RPM_BUILD_ROOT%{_libdir}/%{name}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/smsd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/smsd

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/sbin/chkconfig --add smsd
if [ -f /var/lock/subsys/smsd ]; then
	/etc/rc.d/init.d/smsd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/smsd start\" to start sms daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/smsd ]; then
		/etc/rc.d/init.d/smsd stop 1>&2
	fi
	/sbin/chkconfig --del smsd
fi

%files
%defattr(644,root,root,755)
%doc doc/manual.html doc/html examples/smsd.{black,white}
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/smsd.*
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/smsd
%attr(754,root,root) /etc/rc.d/init.d/smsd
%attr(755,root,root) %{_sbindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*
/var/spool/sms

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: smstools.spec,v $
Revision 1.8  2002/11/21 13:56:24  orzech
- up to 1.7.7 (major bugfix release)

Revision 1.7  2002/11/17 00:33:27  kloczek
- remove empty %postun

Revision 1.6  2002/11/15 15:53:05  orzech
- next update

Revision 1.5  2002/11/15 13:29:44  orzech
- up to 1.7.5

Revision 1.4  2002/09/03 07:55:23  orzech
- fixed daemon behaviour
- adapterized

Revision 1.3  2002/09/02 18:42:09  orzech
- works: rel. 1; STBR

Revision 1.2  2002/09/02 17:23:11  orzech
- typos
- pl description

Revision 1.1  2002/09/02 17:10:52  orzech
- new
- NFY - testing

